<?php

namespace Asadi\Subject\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Asadi\Subject\Interfaces\SubjectRepositoryInterface;

class SubjectPublicController extends BaseController
{
    // use SubjectWorkflow;

    /**
     * Constructor.
     *
     * @param type \Asadi\Subject\Interfaces\SubjectRepositoryInterface $subject
     *
     * @return type
     */
    public function __construct(SubjectRepositoryInterface $subject)
    {
        $this->repository = $subject;
        parent::__construct();
    }

    /**
     * Show subject's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $subjects = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('subject::public.subject.index', compact('subjects'))->render();
    }

    /**
     * Show subject.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $subject = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('subject::public.subject.show', compact('subject'))->render();
    }

}
