<?php

namespace Asadi\Subject\Workflow;

use Asadi\Subject\Models\Subject;
use Asadi\Subject\Notifications\Subject as SubjectNotifyer;
use Notification;

class SubjectNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Subject $subject
     *
     * @return void
     */
    public function complete(Subject $subject)
    {
        return Notification::send($subject->user, new SubjectNotifyer($subject, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Subject $subject
     *
     * @return void
     */
    public function verify(Subject $subject)
    {
        return Notification::send($subject->user, new SubjectNotifyer($subject, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Subject $subject
     *
     * @return void
     */
    public function approve(Subject $subject)
    {
        return Notification::send($subject->user, new SubjectNotifyer($subject, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Subject $subject
     *
     * @return void
     */
    public function publish(Subject $subject)
    {
        return Notification::send($subject->user, new SubjectNotifyer($subject, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Subject $subject
     *
     * @return void
     */
    public function archive(Subject $subject)
    {
        return Notification::send($subject->user, new SubjectNotifyer($subject, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Subject $subject
     *
     * @return void
     */
    public function unpublish(Subject $subject)
    {
        return Notification::send($subject->user, new SubjectNotifyer($subject, 'unpublish'));;

    }
}
